## homescreen-dockbar 0.0.1

=== Makefile ===
#############################################################################
# Makefile for building: homescreen-dockbar
# Generated by qmake (2.01a) (Qt 4.7.0) on: mar nov 16 14:13:06 2010
# Project:  homescreen-dockbar.pro
# Template: app
# Command: /home/matias/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtMaemo5 -I/usr/include -I. -Iqmaemo5homescreenadaptor -I/usr/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gnome-vfs-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/gtk-2.0 -I/usr/include/gtk-2.0/gtk -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/libhildondesktop-1 -I/usr/include/hildon-1 -Itmp -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp \
		main.cpp \
		widget.cpp \
		settings.cpp \
		items.cpp tmp/moc_qmaemo5homescreenadaptor.cpp \
		tmp/moc_widget.cpp \
		tmp/moc_settings.cpp \
		tmp/moc_items.cpp
OBJECTS       = tmp/qmaemo5homescreenadaptor.o \
		tmp/main.o \
		tmp/widget.o \
		tmp/settings.o \
		tmp/items.o \
		tmp/moc_qmaemo5homescreenadaptor.o \
		tmp/moc_widget.o \
		tmp/moc_settings.o \
		tmp/moc_items.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		homescreen-dockbar.pro
QMAKE_TARGET  = homescreen-dockbar
DESTDIR       = 
TARGET        = homescreen-dockbar

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_settings.h ui_items.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: homescreen-dockbar.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro

dist: 
	@$(CHK_DIR_EXISTS) tmp/homescreen-dockbar1.0.0 || $(MKDIR) tmp/homescreen-dockbar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h widget.h settings.h items.h tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp main.cpp widget.cpp settings.cpp items.cpp tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents settings.ui items.ui tmp/homescreen-dockbar1.0.0/ && (cd `dirname tmp/homescreen-dockbar1.0.0` && $(TAR) homescreen-dockbar1.0.0.tar homescreen-dockbar1.0.0 && $(COMPRESS) homescreen-dockbar1.0.0.tar) && $(MOVE) `dirname tmp/homescreen-dockbar1.0.0`/homescreen-dockbar1.0.0.tar.gz . && $(DEL_FILE) -r tmp/homescreen-dockbar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: tmp/moc_qmaemo5homescreenadaptor.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp/moc_qmaemo5homescreenadaptor.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp
tmp/moc_qmaemo5homescreenadaptor.cpp: qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h -o tmp/moc_qmaemo5homescreenadaptor.cpp

tmp/moc_widget.cpp: widget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) widget.h -o tmp/moc_widget.cpp

tmp/moc_settings.cpp: settings.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settings.h -o tmp/moc_settings.cpp

tmp/moc_items.cpp: items.h
	/usr/bin/moc $(DEFINES) $(INCPATH) items.h -o tmp/moc_items.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_settings.h ui_items.h
compiler_uic_clean:
	-$(DEL_FILE) ui_settings.h ui_items.h
ui_settings.h: settings.ui
	/usr/bin/uic settings.ui -o ui_settings.h

ui_items.h: items.ui
	/usr/bin/uic items.ui -o ui_items.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

tmp/qmaemo5homescreenadaptor.o: qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/qmaemo5homescreenadaptor.o qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp

tmp/main.o: main.cpp widget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/main.o main.cpp

tmp/widget.o: widget.cpp widget.h \
		settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/widget.o widget.cpp

tmp/settings.o: settings.cpp settings.h \
		ui_settings.h \
		items.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/settings.o settings.cpp

tmp/items.o: items.cpp items.h \
		ui_items.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/items.o items.cpp

tmp/moc_qmaemo5homescreenadaptor.o: tmp/moc_qmaemo5homescreenadaptor.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_qmaemo5homescreenadaptor.o tmp/moc_qmaemo5homescreenadaptor.cpp

tmp/moc_widget.o: tmp/moc_widget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_widget.o tmp/moc_widget.cpp

tmp/moc_settings.o: tmp/moc_settings.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_settings.o tmp/moc_settings.cpp

tmp/moc_items.o: tmp/moc_items.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_items.o tmp/moc_items.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon-home/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon-home/ 
	-$(INSTALL_FILE) homescreen-dockbar.desktop $(INSTALL_ROOT)/usr/share/applications/hildon-home/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon-home/homescreen-dockbar.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon-home/ 


install_image: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/home/user/ || $(MKDIR) $(INSTALL_ROOT)/home/user/ 
	-$(INSTALL_PROGRAM) homescreen-dockbar.png $(INSTALL_ROOT)/home/user/
	-strip $(INSTALL_ROOT)/home/user/homescreen-dockbar.png


uninstall_image:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/home/user/homescreen-dockbar.png
	-$(DEL_DIR) $(INSTALL_ROOT)/home/user/ 


install:  install_target install_desktop install_image  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_image   FORCE

FORCE:

=== debian/changelog ===
homescreen-dockbar (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Matias Perez <cepiperez@gmail.com>  Tue, 16 Nov 2010 10:30:00 -0300

=== debian/control ===
Source: homescreen-dockbar
Section: user/desktop
Priority: optional
Maintainer: Matias Perez <cepiperez<@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libxrender-dev,libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, libgconf2-dev
Standards-Version: 3.7.3

Package: homescreen-dockbar
Architecture: armel
Depends: libqt4-core (>= 4.6.1), libqt4-gui (>= 4.6.1), qt4-homescreen-loader 
Description: Simple homescreen dockbar for fremantle
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XSBC-Maemo-Display-Name: Homescreen dockbar

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/homescreen-dockbar.sgml > homescreen-dockbar.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/homescreen-dockbar.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/homescreen-dockbar install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## homescreen-dockbar 0.0.2

=== Makefile ===
 #############################################################################
# Makefile for building: homescreen-dockbar
# Generated by qmake (2.01a) (Qt 4.7.0) on: vie nov 19 12:57:40 2010
# Project:  homescreen-dockbar.pro
# Template: app
# Command: /home/matias/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtMaemo5 -I/usr/include -I. -Iqtsingleapplication -Iq-extras -I/usr/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gnome-vfs-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/gtk-2.0 -I/usr/include/gtk-2.0/gtk -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/libhildondesktop-1 -I/usr/include/hildon-1 -Itmp -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -ldbus-1 -lglib-2.0 -lgobject-2.0 -ldbus-glib-1 -lgconf-2 -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = qtsingleapplication/qtsingleapplication.cpp \
		qtsingleapplication/qtlocalpeer.cpp \
		q-extras/qesettingsmanager.cpp \
		q-extras/qemaemo5dynamichomescreenwidget.cpp \
		q-extras/qemaemo5dynamicwidgethelper.cpp \
		main.cpp \
		widget.cpp \
		settings.cpp \
		items.cpp \
		home.cpp tmp/moc_qtsingleapplication.cpp \
		tmp/moc_qtlocalpeer.cpp \
		tmp/moc_qemaemo5dynamichomescreenwidget.cpp \
		tmp/moc_widget.cpp \
		tmp/moc_settings.cpp \
		tmp/moc_items.cpp \
		tmp/moc_home.cpp
OBJECTS       = tmp/qtsingleapplication.o \
		tmp/qtlocalpeer.o \
		tmp/qesettingsmanager.o \
		tmp/qemaemo5dynamichomescreenwidget.o \
		tmp/qemaemo5dynamicwidgethelper.o \
		tmp/main.o \
		tmp/widget.o \
		tmp/settings.o \
		tmp/items.o \
		tmp/home.o \
		tmp/moc_qtsingleapplication.o \
		tmp/moc_qtlocalpeer.o \
		tmp/moc_qemaemo5dynamichomescreenwidget.o \
		tmp/moc_widget.o \
		tmp/moc_settings.o \
		tmp/moc_items.o \
		tmp/moc_home.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtsingleapplication/qtsingleapplication.pri \
		q-extras/q-extras.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		homescreen-dockbar.pro
QMAKE_TARGET  = homescreen-dockbar
DESTDIR       = 
TARGET        = homescreen-dockbar

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_settings.h ui_items.h ui_home.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: homescreen-dockbar.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtsingleapplication/qtsingleapplication.pri \
		q-extras/q-extras.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
qtsingleapplication/qtsingleapplication.pri:
q-extras/q-extras.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro

dist: 
	@$(CHK_DIR_EXISTS) tmp/homescreen-dockbar1.0.0 || $(MKDIR) tmp/homescreen-dockbar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.h qtsingleapplication/qtlocalpeer.h q-extras/qesettingsmanager.h q-extras/qemaemo5dynamichomescreenwidget.h q-extras/qemaemo5dynamicwidgethelper.h widget.h settings.h items.h home.h tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtlocalpeer.cpp q-extras/qesettingsmanager.cpp q-extras/qemaemo5dynamichomescreenwidget.cpp q-extras/qemaemo5dynamicwidgethelper.cpp main.cpp widget.cpp settings.cpp items.cpp home.cpp tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents settings.ui items.ui home.ui tmp/homescreen-dockbar1.0.0/ && (cd `dirname tmp/homescreen-dockbar1.0.0` && $(TAR) homescreen-dockbar1.0.0.tar homescreen-dockbar1.0.0 && $(COMPRESS) homescreen-dockbar1.0.0.tar) && $(MOVE) `dirname tmp/homescreen-dockbar1.0.0`/homescreen-dockbar1.0.0.tar.gz . && $(DEL_FILE) -r tmp/homescreen-dockbar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
tmp/moc_qtsingleapplication.cpp: qtsingleapplication/qtsingleapplication.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qtsingleapplication/qtsingleapplication.h -o tmp/moc_qtsingleapplication.cpp

tmp/moc_qtlocalpeer.cpp: qtsingleapplication/qtlockedfile.h \
		qtsingleapplication/qtlocalpeer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qtsingleapplication/qtlocalpeer.h -o tmp/moc_qtlocalpeer.cpp

tmp/moc_qemaemo5dynamichomescreenwidget.cpp: q-extras/qemaemo5dynamichomescreenwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) q-extras/qemaemo5dynamichomescreenwidget.h -o tmp/moc_qemaemo5dynamichomescreenwidget.cpp

tmp/moc_widget.cpp: q-extras/qemaemo5dynamichomescreenwidget.h \
		widget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) widget.h -o tmp/moc_widget.cpp

tmp/moc_settings.cpp: q-extras/qemaemo5dynamichomescreenwidget.h \
		q-extras/qesettingsmanager.h \
		settings.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settings.h -o tmp/moc_settings.cpp

tmp/moc_items.cpp: q-extras/qemaemo5dynamichomescreenwidget.h \
		items.h
	/usr/bin/moc $(DEFINES) $(INCPATH) items.h -o tmp/moc_items.cpp

tmp/moc_home.cpp: home.h
	/usr/bin/moc $(DEFINES) $(INCPATH) home.h -o tmp/moc_home.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_settings.h ui_items.h ui_home.h
compiler_uic_clean:
	-$(DEL_FILE) ui_settings.h ui_items.h ui_home.h
ui_settings.h: settings.ui
	/usr/bin/uic settings.ui -o ui_settings.h

ui_items.h: items.ui
	/usr/bin/uic items.ui -o ui_items.h

ui_home.h: home.ui
	/usr/bin/uic home.ui -o ui_home.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

tmp/qtsingleapplication.o: qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtsingleapplication.h \
		qtsingleapplication/qtlocalpeer.h \
		qtsingleapplication/qtlockedfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/qtsingleapplication.o qtsingleapplication/qtsingleapplication.cpp

=== debian/changelog ===
homescreen-dockbar (0.0.2) unstable; urgency=low

  * Allow multiple instances

 -- Matias Perez <cepiperez@gmail.com>  Fri, 19 Nov 2010 13:30:00 -0300

## homescreen-dockbar 0.0.3

=== debian/changelog ===
homescreen-dockbar (0.0.3) stable; urgency=low

  * First stable version

 -- Matias Perez <cepiperez@gmail.com>  Wed, 24 Nov 2010 16:29:00 -0300

## homescreen-dockbar 0.0.4

=== debian/changelog ===
homescreen-dockbar (0.0.4) stable; urgency=low

  * Changed icons state from "pressed" to "released"
  * Added vertical dockbar
  * Added autorotation for icons
  * Added quicksearch bar in "add item" window

 -- Matias Perez <cepiperez@gmail.com>  Thu, 25 Nov 2010 13:50:00 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: optional
 Maintainer: Matias Perez <cepiperez<@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libxrender-dev,libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, libgconf2-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libxrender-dev,libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, libgconf2-dev, mce-dev
 Standards-Version: 3.7.3
 
 Package: homescreen-dockbar

## homescreen-dockbar 0.0.5

=== debian/changelog ===
homescreen-dockbar (0.0.5) stable; urgency=low

  * Fixed allow multiple dockbars
  * Fixed vertical dockbars launcher

 -- Matias Perez <cepiperez@gmail.com>  Fri, 26 Nov 2010 14:33:00 -0300

## homescreen-dockbar 0.0.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
- #############################################################################
+#############################################################################
 # Makefile for building: homescreen-dockbar
-# Generated by qmake (2.01a) (Qt 4.7.0) on: vie nov 19 12:57:40 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: mar nov 23 10:07:42 2010
 # Project:  homescreen-dockbar.pro
 # Template: app
 # Command: /home/matias/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro
@@ -50,12 +50,14 @@
 		q-extras/qemaemo5dynamicwidgethelper.cpp \
 		main.cpp \
 		widget.cpp \
+		appeventlistener.cpp \
 		settings.cpp \
 		items.cpp \
 		home.cpp tmp/moc_qtsingleapplication.cpp \
 		tmp/moc_qtlocalpeer.cpp \
 		tmp/moc_qemaemo5dynamichomescreenwidget.cpp \
 		tmp/moc_widget.cpp \
+		tmp/moc_appeventlistener.cpp \
 		tmp/moc_settings.cpp \
 		tmp/moc_items.cpp \
 		tmp/moc_home.cpp
@@ -66,6 +68,7 @@
 		tmp/qemaemo5dynamicwidgethelper.o \
 		tmp/main.o \
 		tmp/widget.o \
+		tmp/appeventlistener.o \
 		tmp/settings.o \
 		tmp/items.o \
 		tmp/home.o \
@@ -73,6 +76,7 @@
 		tmp/moc_qtlocalpeer.o \
 		tmp/moc_qemaemo5dynamichomescreenwidget.o \
 		tmp/moc_widget.o \
+		tmp/moc_appeventlistener.o \
 		tmp/moc_settings.o \
 		tmp/moc_items.o \
 		tmp/moc_home.o
@@ -192,7 +196,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) tmp/homescreen-dockbar1.0.0 || $(MKDIR) tmp/homescreen-dockbar1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.h qtsingleapplication/qtlocalpeer.h q-extras/qesettingsmanager.h q-extras/qemaemo5dynamichomescreenwidget.h q-extras/qemaemo5dynamicwidgethelper.h widget.h settings.h items.h home.h tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtlocalpeer.cpp q-extras/qesettingsmanager.cpp q-extras/qemaemo5dynamichomescreenwidget.cpp q-extras/qemaemo5dynamicwidgethelper.cpp main.cpp widget.cpp settings.cpp items.cpp home.cpp tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents settings.ui items.ui home.ui tmp/homescreen-dockbar1.0.0/ && (cd `dirname tmp/homescreen-dockbar1.0.0` && $(TAR) homescreen-dockbar1.0.0.tar homescreen-dockbar1.0.0 && $(COMPRESS) homescreen-dockbar1.0.0.tar) && $(MOVE) `dirname tmp/homescreen-dockbar1.0.0`/homescreen-dockbar1.0.0.tar.gz . && $(DEL_FILE) -r tmp/homescreen-dockbar1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.h qtsingleapplication/qtlocalpeer.h q-extras/qesettingsmanager.h q-extras/qemaemo5dynamichomescreenwidget.h q-extras/qemaemo5dynamicwidgethelper.h widget.h appeventlistener.h settings.h items.h home.h tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtlocalpeer.cpp q-extras/qesettingsmanager.cpp q-extras/qemaemo5dynamichomescreenwidget.cpp q-extras/qemaemo5dynamicwidgethelper.cpp main.cpp widget.cpp appeventlistener.cpp settings.cpp items.cpp home.cpp tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents settings.ui items.ui home.ui tmp/homescreen-dockbar1.0.0/ && (cd `dirname tmp/homescreen-dockbar1.0.0` && $(TAR) homescreen-dockbar1.0.0.tar homescreen-dockbar1.0.0 && $(COMPRESS) homescreen-dockbar1.0.0.tar) && $(MOVE) `dirname tmp/homescreen-dockbar1.0.0`/homescreen-dockbar1.0.0.tar.gz . && $(DEL_FILE) -r tmp/homescreen-dockbar1.0.0
 
 
 clean:compiler_clean 
@@ -213,9 +217,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
+compiler_moc_header_make_all: tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_appeventlistener.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
+	-$(DEL_FILE) tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_appeventlistener.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
 tmp/moc_qtsingleapplication.cpp: qtsingleapplication/qtsingleapplication.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) qtsingleapplication/qtsingleapplication.h -o tmp/moc_qtsingleapplication.cpp
 
@@ -229,6 +233,9 @@
 tmp/moc_widget.cpp: q-extras/qemaemo5dynamichomescreenwidget.h \
 		widget.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) widget.h -o tmp/moc_widget.cpp
+
+tmp/moc_appeventlistener.cpp: appeventlistener.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) appeventlistener.h -o tmp/moc_appeventlistener.cpp
 
 tmp/moc_settings.cpp: q-extras/qemaemo5dynamichomescreenwidget.h \
 		q-extras/qesettingsmanager.h \
@@ -267,12 +274,3 @@
 compiler_yacc_impl_clean:
 compiler_lex_make_all:
 compiler_lex_clean:
-compiler_clean: compiler_moc_header_clean compiler_uic_clean 
-
-####### Compile
-
-tmp/qtsingleapplication.o: qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtsingleapplication.h \
-		qtsingleapplication/qtlocalpeer.h \
-		qtsingleapplication/qtlockedfile.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/qtsingleapplication.o qtsingleapplication/qtsingleapplication.cpp
-

=== debian/changelog ===
homescreen-dockbar (0.0.6) stable; urgency=low

  * Fixes in vertical dockbar
  * Added rotation in all directions

 -- Matias Perez <cepiperez@gmail.com>  Mon, 29 Nov 2010 16:34:00 -0300
